Skip to main content
POST
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

application/json

Request schema for creating an external channel token.

agent_preset_id
string<uuid>
required

Preset to link this channel token to

channel_type
enum<string>
required

External channel type

Available options:
slack
config
SlackChannelTokenConfig · object
required

Channel-specific configuration payload

is_active
boolean
default:true

Whether this token is active

Response

Successful Response

Response schema for an external channel token.

id
string<uuid>
required
workspace_id
string<uuid>
required
agent_preset_id
string<uuid>
required
channel_type
enum<string>
required

Supported external channel types.

Available options:
slack
config
SlackChannelTokenConfig · object
required

Slack channel token configuration.

is_active
boolean
required
public_token
string
required
endpoint_url
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required